<?php $pageTitle='Crystal: '.$data['name'];
$sharedProject=project::getByName(project::SHARED);
$sharedProjectId=$sharedProject['id'];
$breadcrumbs=array(
    array('url'=>'/project/'.$data['projectid'], 'icon'=>'project', 'help'=>'Go to this plate\'s project'),
    array('url'=>'/plate/'.$data['plateid'], 'icon'=>'plate', 'help'=>'Go to this plate')
);
include realpath(__DIR__).'/../../core/_common/header.php';
?>
<script type="text/javascript">

document.observe("dom:loaded",function(){
	var grid=ui.grid();
	var detailsBox=grid.box({ 
		classes:'r1 c1 h3 w1',
		title:'Details'
	});

	var frm=detailsBox.form({
		action:'/api/crystal/'+data['id'],
		method:'patch',
	});
	frm.textField({ label:"Name", name:'name' });
	frm.textField({ label:"Unit cell a", name:'unitcella' });
	frm.textField({ label:"Unit cell b", name:'unitcellb' });
	frm.textField({ label:"Unit cell c", name:'unitcellc' });
	frm.textField({ label:"Unit cell &alpha;", name:'unitcellalpha' });
	frm.textField({ label:"Unit cell &beta;",  name:'unitcellbeta'  });
	frm.textField({ label:"Unit cell &gamma;", name:'unitcellgamma' });

	var ts=grid.tabSet({ classes:'r1 c2 w2 h3' });

	
	ts.filesTab();
	ts.notesTab();
		
});
</script>
<?php include realpath(__DIR__).'/../../core/_common/footer.php'; ?>
